Subject: Re: [2/6] Cleanup management of kmem_caches for pagetables

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 27 Oct 2009 15:30:54 +1100

On Tue, 2009-10-27 at 14:46 +1100, David Gibson wrote:
> 
> The trick is that allocating the PGD and PMD caches is supposed to
> also create the PUD cache, because the PUD index size is always the
> same as either the PGD or PUD cache.  If that's not true, we've broken
> the assumptions the code is based on, hence BUG(). 

Ok, so maybe a little comment with the above explanation concerning
the PUD index size being the same as the PGD or PMD one would be
useful :-)

Cheers,
Ben.